org.apache.cassandra.io.sstable

## Class IndexSummary.IndexSummarySerializer

- java.lang.Object
- - org.apache.cassandra.io.sstable.IndexSummary.IndexSummarySerializer

- Enclosing class:
    IndexSummary

      public static class IndexSummary.IndexSummarySerializer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexSummary.IndexSummarySerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndexSummary` | `deserialize(java.io.DataInput in, IPartitioner partitioner)`
    `void` | `serialize(IndexSummary t, java.io.DataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexSummary.IndexSummarySerializer

          public IndexSummary.IndexSummarySerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(IndexSummary t,
                       java.io.DataOutput out)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserialize

          public IndexSummary deserialize(java.io.DataInput in,
                                 IPartitioner partitioner)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2014 The Apache Software Foundation